Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2005 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.jsptools.portal
Class PortalEntitlementServlet

    java.lang.Object
      weblogic.servlet.jsp.JspBase
          com.bea.jsptools.common.EntitlementServlet
              com.bea.jsptools.portal.PortalEntitlementServlet

All Implemented Interfaces:
  HttpJspPage, JspPage, Servlet

public abstract class PortalEntitlementServlet
extends com.bea.jsptools.common.EntitlementServlet

Nested Class Summary
`protected class` | `PortalEntitlementServlet.ResourceComposer`

Field Summary

Fields inherited from class com.bea.jsptools.common.EntitlementServlet
`ADD_ACTION, ADD_ALL_ACTION, CAPABILITY_DEPENDENCIES, CAPABILITY_PREFIX, GET_DEFINITION_POLICIES, POLICIES, REMOVE_ACTION, REQUEST_ROLES, ROLE_PRESENT, UPDATE_ACTION, UPDATE_POLICIES, VALUE_DELIMETER`

Fields inherited from class weblogic.servlet.jsp.JspBase
`_servletConfig`

Constructor Summary
`PortalEntitlementServlet()`

Method Summary
`String` | `getCapabilityConstant(HttpServletRequest request, String capability)` Get the constant for the capability
`protected String[]` | `getCapabilityDisplayNames(HttpServletRequest request)` get the capability names used for display
`protected String[]` | `getCapabilityNames(HttpServletRequest request)` get the capability names
`protected String` | `getDesktopId(HttpServletRequest request)` Get the desktop id
`protected List` | `getEntitlementPolicyViews(HttpServletRequest request)` Gets all security Policies from LDAP.
`String` | `getEntitlementResourceName(HttpServletRequest request, String capability, int mode)` Over-ridden method from super class.
`protected String` | `getLabel(HttpServletRequest request)` Get the label
`protected String` | `getResourceType(HttpServletRequest request)` Get the resource type of the selected resource
`boolean` | `isValidResource(HttpServletRequest request)` Over-ridden method from super class

Methods inherited from class com.bea.jsptools.common.EntitlementServlet
`createCheckAllJS, createCheckAllRolesJS, getCapabilityNamesForView, getCapabilityViews, getCheckAllCapabilities, getDefinitionPolicies, getFederatedRoles, getRemainingRoles, getRequestPolicyViews, processAction, unselectAll, updatePolicies`

Methods inherited from class weblogic.servlet.jsp.JspBase
`_jspService, destroy, getServletConfig, getServletInfo, init, jspDestroy, jspInit, service`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PortalEntitlementServlet

    public PortalEntitlementServlet()

Method Detail

### getCapabilityConstant

    public String getCapabilityConstant(HttpServletRequest request,
                                        String capability)

  Get the constant for the capability

  Parameters:
    `request` - The http request object
    `capability` -
  Returns:

### getCapabilityDisplayNames

    protected String[] getCapabilityDisplayNames(HttpServletRequest request)

  get the capability names used for display

  Parameters:
    `request` -
  Returns:

### getCapabilityNames

    protected String[] getCapabilityNames(HttpServletRequest request)

  get the capability names

  Parameters:
    `request` -
  Returns:

### getDesktopId

    protected String getDesktopId(HttpServletRequest request)

  Get the desktop id

  Returns:

### getEntitlementPolicyViews

    protected List getEntitlementPolicyViews(HttpServletRequest request)

  Description copied from class: `com.bea.jsptools.common.EntitlementServlet`
  Gets all security Policies from LDAP. This stores the results in the request.

  Parameters:
    `request` - HttpServletRequest object
  Returns:
    a Sorted list stored within a HashMap that contains all the policies for this container in the form of PolicyByRole object

### getEntitlementResourceName

    public String getEntitlementResourceName(HttpServletRequest request,
                                             String capability,
                                             int mode)

  Over-ridden method from super class.

  Parameters:
    `request` - HttpServletRequest object representing the current request
    `capability` - The capability of the resource
    `mode` - The implementation class might want to return a different resource name based on the mode. The mode is either GET_DEFINITION_POLICIES or UPDATE_POLICIES
  Returns:

### getLabel

    protected String getLabel(HttpServletRequest request)

  Get the label

  Parameters:
    `request` -
  Returns:

### getResourceType

    protected String getResourceType(HttpServletRequest request)

  Get the resource type of the selected resource

  Parameters:
    `request` -
  Returns:

### isValidResource

    public boolean isValidResource(HttpServletRequest request)

  Over-ridden method from super class

  Parameters:
    `request` -
  Returns:

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2005 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005 BEA Systems, Inc. All Rights Reserved